MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032239Community[OCCT] OCCT:Data Exchangepublic2021-03-22 20:452021-09-25 17:51
Reporterrobertlipman 
Assigned Togka 
PrioritynormalSeveritymajor 
StatusnewResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032239: Data Exchange, STEP import - bounding box is too large
DescriptionThe bounding box is too large for the attached STEP file. The X range as reported by CAD Assistant is 157.233mm. However, measuring the X range in another viewer (eDrawings) shows 106.182mm. The Y and Z range is also too large.
Steps To ReproduceOpen the attached file in CAD Assistant and get the range. Measure the range some other way and compare the values.

pload XDE OCAF VISUALIZATION MODELING
dtracelevel trace
testreadstep {UTG RED DOT OPTIC.STEP} s
checkshape s s
bounding s


Output:
 -- The Shape s has problems :
  Check                                    Count
 ------------------------------------------------
  Unorientable Shape ....................... 4
  Not Closed ............................... 4
 ------------------------------------------------
*** Shapes with problems : 8
WIRE    :  4 Items -> compound named s_w
FACE    :  4 Items -> compound named s_f

-82.043211434255824 -97.41395356722937 -97.41395356722937 73.632312330445473 97.41395356722937 97.41395356722937

TagsNo tags attached.
Test case number
Attached Fileszip file icon UTG RED DOT OPTIC.zip (3,694,975 bytes) 2021-03-22 20:45
png file icon optic_KO.png (25,608 bytes) 2021-09-25 17:39
png file icon optic_lenses_KO.png (8,318 bytes) 2021-09-25 17:39

- Relationships

-  Notes
(0104375)
kgv (developer)
2021-09-25 17:49
edited on: 2021-09-25 17:51

STEP import produces 4 unorientable Faces (for lenses).
So the problem could be reformulated as fixing STEP import to produce a valid shape (or to determine that specific STEP file is invalid and has no proper fix).

Afterwards, bounding box on fixed shape should has expected dimensions.

 -- The Shape s has problems :
  Check                                    Count
 ------------------------------------------------
  Unorientable Shape ....................... 4
  Not Closed ............................... 4
 ------------------------------------------------
*** Shapes with problems : 8
WIRE    :  4 Items -> compound named s_w
FACE    :  4 Items -> compound named s_f

-82.043211434255824 -97.41395356722937 -97.41395356722937 73.632312330445473 97.41395356722937 97.41395356722937




- Issue History
Date Modified Username Field Change
2021-03-22 20:45 robertlipman New Issue
2021-03-22 20:45 robertlipman Assigned To => gka
2021-03-22 20:45 robertlipman File Added: UTG RED DOT OPTIC.zip
2021-03-24 10:14 kgv Target Version => 7.6.0*
2021-03-24 10:14 kgv Summary Bounding box to large => BRepBndLib returns too large Bounding Box
2021-09-25 17:39 kgv File Added: optic_KO.png
2021-09-25 17:39 kgv File Added: optic_lenses_KO.png
2021-09-25 17:39 kgv Steps to Reproduce Updated View Revisions
2021-09-25 17:43 kgv Product Version 7.5.0 => 6.3.1
2021-09-25 17:44 kgv Steps to Reproduce Updated View Revisions
2021-09-25 17:45 kgv Summary BRepBndLib returns too large Bounding Box => Data Exchange, STEP import - BRepBndLib returns too large Bounding Box
2021-09-25 17:49 kgv Note Added: 0104375
2021-09-25 17:49 kgv Note Edited: 0104375 View Revisions
2021-09-25 17:50 kgv Note Edited: 0104375 View Revisions
2021-09-25 17:50 kgv Note Edited: 0104375 View Revisions
2021-09-25 17:51 kgv Note Edited: 0104375 View Revisions
2021-09-25 17:51 kgv Summary Data Exchange, STEP import - BRepBndLib returns too large Bounding Box => Data Exchange, STEP import - bounding box is too large


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker